# This file is placed in the Public Domain.

import os

from setuptools import setup

def read():
    return open("README.rst", "r").read()

def uploadlist(dir):
    upl = []

    for file in os.listdir(dir):
        if not file or file.startswith('.'):
            continue
        d = dir + os.sep + file
        if os.path.isdir(d):   
            upl.extend(uploadlist(d))
        else:
            if file.endswith(".pyc") or file.startswith("__pycache"):
                continue
            upl.append(d)
    return upl

setup(
    name="botl",
    version="0.3",
    url="https://github.com/bthate/botl",
    author="Bart Thate",
    author_email="bthate67@gmail.com",
    description="BOTL is a bot that runs under systemd as a 24/7 background service",
    long_description=read(),
    license="Public Domain",
    zip_safe=True,
    install_requires=["feedparser"],
    include_package_data=True,
    packages=["botl"],
    data_files=[
                ('share/doc/botl', uploadlist("docs")),
                ('share/botl', uploadlist("files"))],
    scripts=["bin/botl", "bin/botlc", "bin/botld", "bin/botle"],
    classifiers=[
        "Development Status :: 3 - Alpha",
        "License :: Public Domain",
        "Operating System :: Unix",
        "Programming Language :: Python",
        "Topic :: Utilities",
    ]
)
